Loading...
Searching...
No Matches
bwZoomHdr_t Struct Reference

BigWig files have multiple "zoom" levels, each of which has its own header. This hold those headers. More...

`#include <bigWig.h>`

## Data Fields

uint32_t * | level
uint64_t * | dataOffset
uint64_t * | indexOffset
bwRTree_t ** | idx

## Detailed Description

BigWig files have multiple "zoom" levels, each of which has its own header. This hold those headers.

N.B., there's 4 bytes of padding in the on disk representation of level and dataOffset.

## Field Documentation

## dataOffset

uint64_t* bwZoomHdr_t::dataOffset

The offset to the on-disk start of the data. This isn't used currently.

## idx

bwRTree_t** bwZoomHdr_t::idx

Index for each zoom level. Represented as a tree

## indexOffset

uint64_t* bwZoomHdr_t::indexOffset

The offset to the on-disk start of the index. This is used.

## level

uint32_t* bwZoomHdr_t::level

The zoom level, which is an integer starting with 0.

The documentation for this struct was generated from the following file:

- bigWig.h